# HG changeset patch
# User Pedro Ferreira <pedro.ferreira@monetdbsolutions.com>
# Date 1528733798 -7200
# Node ID d27f4ad1ca91f2045ae29d572437871cf068a573
# Parent  c1bbb542617da47d30f73649db2dff9b8d55d279
Added upload script

diff --git a/.hgignore b/.hgignore
--- a/.hgignore
+++ b/.hgignore
@@ -5,6 +5,7 @@ syntax: glob
 *.jar
 build/META-INF/services/java.sql.Driver
 src/main/java/nl/cwi/monetdb/jdbc/MonetDriver.java
+upload_jdbc_new.sh
 
 # files generated by various editors
 *.swp
diff --git a/Makefile b/Makefile
--- a/Makefile
+++ b/Makefile
@@ -1,4 +1,5 @@
 all: src/main/java/nl/cwi/monetdb/jdbc/MonetDriver.java
+	. ./build.properties; sed -e "s/@JDBC_MAJOR@/$$JDBC_MAJOR/g;s/@JDBC_MINOR@/$$JDBC_MINOR/g" upload_jdbc_new.sh.in > upload_jdbc_new.sh
 	ant -f build.xml distjdbc distmerocontrol
 	cd tests; ant -f build.xml jar_jdbctests
 
diff --git a/build.properties b/build.properties
--- a/build.properties
+++ b/build.properties
@@ -19,7 +19,7 @@ MCL_MINOR=14
 # major release number
 JDBC_MAJOR=2
 # minor release number
-JDBC_MINOR=36
+JDBC_MINOR=37
 # an additional identifying string
 JDBC_VER_SUFFIX=Liberica
 # the default port to connect on, if no port given when using SQL
diff --git a/upload_jdbc_new.sh.in b/upload_jdbc_new.sh.in
new file mode 100644
--- /dev/null
+++ b/upload_jdbc_new.sh.in
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+function echo_and_exit {
+	echo $1 >&2
+	exit 1
+}
+
+if [[ -z $JAVA_HOME ]] ; then
+    echo_and_exit "The JAVA_HOME directory must be set"
+fi
+
+# Prepare the directory to upload to our website
+mkdir synchronizing
+# Move the monetdb-jdbc-new jar
+mv jars/monetdb-jdbc-new-@JDBC_MAJOR@.@JDBC_MINOR@.jar synchronizing/monetdb-jdbc-new-@JDBC_MAJOR@.@JDBC_MINOR@.jar
+# Rsync the library files to the monet.org machine
+rsync -aqz --ignore-times synchronizing/* ferreira@monetdb.org:/var/www/html/downloads/Java-Experimental/
+# Remove it in the end
+rm -rf synchronizing